10 REM Program to generate aiming angles for geosynchronous satellites
11 REM Originally written by M. Glen Worthington, WA7GKM, of
12 REM of U.S. Satellite Corp., inc., and modified to run under
13 REM Microsoft Basic by Scott Bidstrup, WA7UZO.
14 REM This program generates aiming angles for all
15 REM international communications satellites.
20 X1=0
30 INPUT "Location Name";A$
40 INPUT "Magnetic Deviation in degrees";MD
45 PRINT "For southern hemisphere locations, proceed degrees with minus sign."
50 INPUT "Latitude in degrees,minutes,seconds";D,M,S
55 PRINT "Enter ALL longitudes in degrees west of Greenwich (Prime) Meridian."
60 INPUT "Longitude in degrees,minutes,seconds";DN,MN,SN
70 LT=D+(M/60)+(S/3600)
80 LT=LT*.01745
90 LN=DN+(MN/60)+(SN/3600)
100 LPRINT "        TABLE OF EARTH STATION ANTENNA AIMING ANGLES"
110 LPRINT:LPRINT:LPRINT
120 LPRINT "LOCATION: ";A$
130 LPRINT "Latitude ";D;",";M;",";S
140 LPRINT "Longitude ";DN;",";MN;",";SN
145 LPRINT "Magnetic deviation ";MD;" degrees":LPRINT:LPRINT
150 LPRINT "SATELLITE";TAB(60);"MAGNETIC"
160 LPRINT "POSITION";TAB(11);"SATELLITE";TAB(30);"AZIMUTH";
170 LPRINT;TAB(45);"ELEVATION";TAB(60);"HEADING":LPRINT
175 LPRINT "**** Satellite positions are shown in degrees west longitude *****"
177 RESTORE
180 FOR P1=1 TO 34:READ P,S$
190 L=LN-P:C1=L:L=L*.01745
200 F=COS(L)*COS(LT)
210 AZ=-ATN(F/SQR(-F*F+1))+(3.14159/2)
220 A1=(SIN(1.5705-AZ)-.1513)/COS(1.5705-AZ)
230 E=ATN(A1)
240 G=-(TAN(LT)/TAN(AZ)):E=E*57.3*10:E=INT(E)/10
250 C=-ATN(G/SQR(-G*G+1))+(3.14159/2):C=C*57.3*10:C=INT(C)/10
255 IF C1<0 THEN C=360-C
260 LPRINT P;TAB(11);S$;TAB(30);C;TAB(45);E;TAB(60);C-MD
265 X1=X1+1:IF X1=34 THEN 330
270 NEXT P1
275 DATA 350.0,"ECS 1",347.0,"ECS 2",338.3,"Gorizont 3",327.0,"Raduga 11"
277 DATA 325.0,"Raduga 9",314.0,"Raduga 6",307.0,"Gorizont 5"
280 DATA 303.0,"Intelsat 5-F1",300.0,"Intelsat 5-F7",298.0,"Intelsat 5-F5"
283 DATA 283.0,"Palapa A02",278.0,"Palapa A01",275.0,"Raduga 10"
285 DATA 275.0,"Gorizont 6",270.0,"Gorizont 2",266.0,"Insat 1B"
287 DATA 252.0,"Palapa B01",247.0,"Palapa B02",242.0,"Palapa B03"
290 DATA 231.0,"Sakura CS2A",226.0,"Sakura CS2B",187.0,"Intelsat 4A-F6"
295 DATA 184.0,"Intelsat 4A-F3",181.0,"Intelsat 5-F8",53.0,"Intelsat 4-F1&7"
300 DATA 34.5,"Intelsat 5-F2",31.0,"Intelsat 4A-F1",27.4,"Intelsat 5-F2&F3"
305 DATA 18.5,"Intelsat 5-F6",14.5,"Gorizont 4",14.0,"Gorizont 7"
310 DATA 11.45,"Symphonie 1",11.33,"Symphonie 2",1.0,"Intelsat 4-F8&F4"
330 LPRINT "*****************************************************************"
340 LPRINT "Minimum visibility requires an elevation of +5 degrees"
345 LPRINT "Reasonable antenna size and LNA temperature require +10 degrees"
350 LPRINT CHR$(12)
360 RESTORE
370 GOTO 20
